View Issue Details

IDProjectCategoryView StatusLast Update
15366Bug reportsData Entry (non public)public2019-10-14 13:57
ReporterDenisChenu Assigned Todominikvitt 
PrioritynoneSeverityblock 
Status closedResolutionfixed 
Product Version4.0.0-RC4 
Fixed in Version4.0.0-RC4 
Summary15366: ParseError in dataentry/sa/editdata/subaction/edit
Description

Try to edit an response : throw error

Steps To Reproduce

Try to edit an response : throw error

Additional Information

Happen c6a240eac7

Surely a merge issue looking at code …

I merge the last (this didn't update this part)

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.0 github c6a240eac7
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2019-10-04 15:12

developer  

ParseError.html (17,500 bytes)   
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"><head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ParseError</title>

<style type="text/css">
/*<![CDATA[*/
html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,font,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td{border:0;outline:0;font-size:100%;vertical-align:baseline;background:transparent;margin:0;padding:0;}
body{line-height:1;}
ol,ul{list-style:none;}
blockquote,q{quotes:none;}
blockquote:before,blockquote:after,q:before,q:after{content:none;}
:focus{outline:0;}
ins{text-decoration:none;}
del{text-decoration:line-through;}
table{border-collapse:collapse;border-spacing:0;}

body {
	font: normal 9pt "Verdana";
	color: #000;
	background: #fff;
}

h1 {
	font: normal 18pt "Verdana";
	color: #f00;
	margin-bottom: .5em;
}

h2 {
	font: normal 14pt "Verdana";
	color: #800000;
	margin-bottom: .5em;
}

h3 {
	font: bold 11pt "Verdana";
}

pre {
	font: normal 11pt Menlo, Consolas, "Lucida Console", Monospace;
}

pre span.error {
	display: block;
	background: #fce3e3;
}

pre span.ln {
	color: #999;
	padding-right: 0.5em;
	border-right: 1px solid #ccc;
}

pre span.error-ln {
	font-weight: bold;
}

.container {
	margin: 1em 4em;
}

.version {
	color: gray;
	font-size: 8pt;
	border-top: 1px solid #aaa;
	padding-top: 1em;
	margin-bottom: 1em;
}

.message {
	color: #000;
	padding: 1em;
	font-size: 11pt;
	background: #f3f3f3;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	border-radius: 10px;
	margin-bottom: 1em;
	line-height: 160%;
}

.source {
	margin-bottom: 1em;
}

.code pre {
	background-color: #ffe;
	margin: 0.5em 0;
	padding: 0.5em;
	line-height: 125%;
	border: 1px solid #eee;
}

.source .file {
	margin-bottom: 1em;
	font-weight: bold;
}

.traces {
	margin: 2em 0;
}

.trace {
	margin: 0.5em 0;
	padding: 0.5em;
}

.trace.app {
	border: 1px dashed #c00;
}

.trace .number {
	text-align: right;
	width: 2em;
	padding: 0.5em;
}

.trace .content {
	padding: 0.5em;
}

.trace .plus,
.trace .minus {
	display:inline;
	vertical-align:middle;
	text-align:center;
	border:1px solid #000;
	color:#000;
	font-size:10px;
	line-height:10px;
	margin:0;
	padding:0 1px;
	width:10px;
	height:10px;
}

.trace.collapsed .minus,
.trace.expanded .plus,
.trace.collapsed pre {
	display: none;
}

.trace-file {
	cursor: pointer;
	padding: 0.2em;
}

.trace-file:hover {
	background: #f0ffff;
}
/*]]>*/
</style>
</head>

<body>
<div class="container">
	<h1>ParseError</h1>

	<p class="message">
		syntax error, unexpected '&gt;'	</p>

	<div class="source">
		<p class="file">/mnt/data/shnoulle/nginx/www/develop/application/controllers/admin/dataentry.php(1504)</p>
		<div class="code"><pre><span class="ln">1492</span>             // First Check if the survey uses tokens and if a token has been provided
<span class="ln">1493</span>             if ($tokenTableExists &amp;&amp; (!$_POST['token'])) {
<span class="ln">1494</span>                 $errormsg = CHtml::tag('div', array('class'=&gt;'warningheader'), gT("Error"));
<span class="ln">1495</span>                 $errormsg .= CHtml::tag('p', array(), gT("This is a closed-access survey, so you must supply a access code.  Please contact the administrator for assistance."));
<span class="ln">1496</span>             } elseif ($tokenTableExists &amp;&amp; $lastanswfortoken == 'UnknownToken') {
<span class="ln">1497</span>                 $errormsg = CHtml::tag('div', array('class'=&gt;'warningheader'), gT("Error"));
<span class="ln">1498</span>                 $errormsg .= CHtml::tag('p', array(), gT("The access code have provided is not valid or has already been used."));
<span class="ln">1499</span>             } elseif ($tokenTableExists &amp;&amp; $lastanswfortoken != '') {
<span class="ln">1500</span>                 $errormsg = CHtml::tag('div', array('class'=&gt;'warningheader'), gT("Error"));
<span class="ln">1501</span>                 $errormsg .= CHtml::tag('p', array(), gT("There is already a recorded answer for this access code
<span class="ln">1502</span> 
<span class="ln">1503</span>                 if ($lastanswfortoken != 'PrivacyProtected') {
<span class="error"><span class="ln error-ln">1504</span>                     $errormsg .= "&lt;br /&gt;&lt;br /&gt;".gT("Follow the following link to update it").":\n";
</span><span class="ln">1505</span>                     $errormsg .= CHtml::link("[id:$lastanswfortoken]",
<span class="ln">1506</span>                         $this-&gt;getController()-&gt;createUrl('/admin/dataentry/sa/editdata/subaction/edit/id/'.$lastanswfortoken.'/surveyid/'.$surveyid),
<span class="ln">1507</span>                         array('title' =&gt; gT("Edit this entry")));
<span class="ln">1508</span>                     $errormsg .= "&lt;br/&gt;&lt;br/&gt;";
<span class="ln">1509</span>                 } else {
<span class="ln">1510</span>                     $errormsg .= "&lt;br /&gt;&lt;br /&gt;".gT("This surveys uses anonymized responses, so you can't update your response.")."\n";
<span class="ln">1511</span>                 }
<span class="ln">1512</span>             } else {
<span class="ln">1513</span> 
<span class="ln">1514</span>                 if (isset($_POST['save']) &amp;&amp; $_POST['save'] == "on") {
<span class="ln">1515</span>                     $aData['save'] = true;
<span class="ln">1516</span>                     $saver = [];
</pre></div>	</div>

	<div class="traces">
		<h2>Stack Trace</h2>
				<table style="width:100%;">
						<tbody><tr class="trace core collapsed">
			<td class="number">
				#0			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/YiiBase.php(204): <strong>YiiBase</strong>::<strong>import</strong>("application.controllers.admin.dataentry", true)				</div>

				<div class="code"><pre><span class="ln">199</span>         }
<span class="ln">200</span>         else
<span class="ln">201</span>             throw new CException(Yii::t('yii','Object configuration must be an array containing a "class" element.'));
<span class="ln">202</span> 
<span class="ln">203</span>         if(!class_exists($type,false))
<span class="error"><span class="ln error-ln">204</span>             $type=Yii::import($type,true);
</span><span class="ln">205</span> 
<span class="ln">206</span>         if(($n=func_num_args())&gt;1)
<span class="ln">207</span>         {
<span class="ln">208</span>             if($n===2)
<span class="ln">209</span>                 $object=new $type($args[1]);
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#1			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/CController.php(443): <strong>YiiBase</strong>::<strong>createComponent</strong>(array(), AdminController, "dataentry")				</div>

				<div class="code"><pre><span class="ln">438</span>     protected function createActionFromMap($actionMap,$actionID,$requestActionID,$config=array())
<span class="ln">439</span>     {
<span class="ln">440</span>         if(($pos=strpos($actionID,'.'))===false &amp;&amp; isset($actionMap[$actionID]))
<span class="ln">441</span>         {
<span class="ln">442</span>             $baseConfig=is_array($actionMap[$actionID]) ? $actionMap[$actionID] : array('class'=&gt;$actionMap[$actionID]);
<span class="error"><span class="ln error-ln">443</span>             return Yii::createComponent(empty($config)?$baseConfig:array_merge($baseConfig,$config),$this,$requestActionID);
</span><span class="ln">444</span>         }
<span class="ln">445</span>         elseif($pos===false)
<span class="ln">446</span>             return null;
<span class="ln">447</span> 
<span class="ln">448</span>         // the action is defined in a provider
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#2			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/CController.php(419): <strong>CController</strong>-&gt;<strong>createActionFromMap</strong>(array("assessments"
 =&gt; "application.controllers.admin.assessments", "authentication" 
=&gt; "application.controllers.admin.authentication", "checkintegrity" 
=&gt; "application.controllers.admin.checkintegrity", "conditions" =&gt;
 "application.controllers.admin.conditionsaction", ...), "dataentry", 
"dataentry")				</div>

				<div class="code"><pre><span class="ln">414</span>             $actionID=$this-&gt;defaultAction;
<span class="ln">415</span>         if(method_exists($this,'action'.$actionID) &amp;&amp; strcasecmp($actionID,'s')) // we have actions method
<span class="ln">416</span>             return new CInlineAction($this,$actionID);
<span class="ln">417</span>         else
<span class="ln">418</span>         {
<span class="error"><span class="ln error-ln">419</span>             $action=$this-&gt;createActionFromMap($this-&gt;actions(),$actionID,$actionID);
</span><span class="ln">420</span>             if($action!==null &amp;&amp; !method_exists($action,'run'))
<span class="ln">421</span>                 throw new CException(Yii::t('yii', 'Action class {class} must implement the "run" method.', array('{class}'=&gt;get_class($action))));
<span class="ln">422</span>             return $action;
<span class="ln">423</span>         }
<span class="ln">424</span>     }
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#3			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/CController.php(259): <strong>CController</strong>-&gt;<strong>createAction</strong>("dataentry")				</div>

				<div class="code"><pre><span class="ln">254</span>      * @see createAction
<span class="ln">255</span>      * @see runAction
<span class="ln">256</span>      */
<span class="ln">257</span>     public function run($actionID)
<span class="ln">258</span>     {
<span class="error"><span class="ln error-ln">259</span>         if(($action=$this-&gt;createAction($actionID))!==null)
</span><span class="ln">260</span>         {
<span class="ln">261</span>             if(($parent=$this-&gt;getModule())===null)
<span class="ln">262</span>                 $parent=Yii::app();
<span class="ln">263</span>             if($parent-&gt;beforeControllerAction($this,$action))
<span class="ln">264</span>             {
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#4			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/application/controllers/AdminController.php(163): <strong>CController</strong>-&gt;<strong>run</strong>("dataentry")				</div>

				<div class="code"><pre><span class="ln">158</span>         }
<span class="ln">159</span> 
<span class="ln">160</span>         $this-&gt;runModuleController($action);
<span class="ln">161</span> 
<span class="ln">162</span> 
<span class="error"><span class="ln error-ln">163</span>         return parent::run($action);
</span><span class="ln">164</span>     }
<span class="ln">165</span> 
<span class="ln">166</span>     /**
<span class="ln">167</span>      * Starting with LS4, 3rd party developper can extends any of the LimeSurve controllers.
<span class="ln">168</span>      */
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#5			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/CWebApplication.php(282): <strong>AdminController</strong>-&gt;<strong>run</strong>("dataentry")				</div>

				<div class="code"><pre><span class="ln">277</span>         {
<span class="ln">278</span>             list($controller,$actionID)=$ca;
<span class="ln">279</span>             $oldController=$this-&gt;_controller;
<span class="ln">280</span>             $this-&gt;_controller=$controller;
<span class="ln">281</span>             $controller-&gt;init();
<span class="error"><span class="ln error-ln">282</span>             $controller-&gt;run($actionID);
</span><span class="ln">283</span>             $this-&gt;_controller=$oldController;
<span class="ln">284</span>         }
<span class="ln">285</span>         else
<span class="ln">286</span>             throw new CHttpException(404,Yii::t('yii','Unable to resolve the request "{route}".',
<span class="ln">287</span>                 array('{route}'=&gt;$route===''?$this-&gt;defaultController:$route)));
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#6			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/CWebApplication.php(141): <strong>CWebApplication</strong>-&gt;<strong>runController</strong>("admin/dataentry/sa/editdata/subaction/edit/surveyid/282267/id/2/...")				</div>

				<div class="code"><pre><span class="ln">136</span>             foreach(array_splice($this-&gt;catchAllRequest,1) as $name=&gt;$value)
<span class="ln">137</span>                 $_GET[$name]=$value;
<span class="ln">138</span>         }
<span class="ln">139</span>         else
<span class="ln">140</span>             $route=$this-&gt;getUrlManager()-&gt;parseUrl($this-&gt;getRequest());
<span class="error"><span class="ln error-ln">141</span>         $this-&gt;runController($route);
</span><span class="ln">142</span>     }
<span class="ln">143</span> 
<span class="ln">144</span>     /**
<span class="ln">145</span>      * Registers the core application components.
<span class="ln">146</span>      * This method overrides the parent implementation by registering additional core components.
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#7			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/base/CApplication.php(185): <strong>CWebApplication</strong>-&gt;<strong>processRequest</strong>()				</div>

				<div class="code"><pre><span class="ln">180</span>     public function run()
<span class="ln">181</span>     {
<span class="ln">182</span>         if($this-&gt;hasEventHandler('onBeginRequest'))
<span class="ln">183</span>             $this-&gt;onBeginRequest(new CEvent($this));
<span class="ln">184</span>         register_shutdown_function(array($this,'end'),0,false);
<span class="error"><span class="ln error-ln">185</span>         $this-&gt;processRequest();
</span><span class="ln">186</span>         if($this-&gt;hasEventHandler('onEndRequest'))
<span class="ln">187</span>             $this-&gt;onEndRequest(new CEvent($this));
<span class="ln">188</span>     }
<span class="ln">189</span> 
<span class="ln">190</span>     /**
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#8			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/index.php(195): <strong>CApplication</strong>-&gt;<strong>run</strong>()				</div>

				<div class="code"><pre><span class="ln">190</span> require_once APPPATH . 'core/LSYii_Application' . EXT;
<span class="ln">191</span> 
<span class="ln">192</span> $config = require_once(APPPATH . 'config/internal' . EXT);
<span class="ln">193</span> 
<span class="ln">194</span> Yii::$enableIncludePath = false;
<span class="error"><span class="ln error-ln">195</span> Yii::createApplication('LSYii_Application', $config)-&gt;run();
</span><span class="ln">196</span> 
<span class="ln">197</span> /* End of file index.php */
<span class="ln">198</span> /* Location: ./index.php */
</pre></div>			</td>
		</tr>
				</tbody></table>
	</div>

	<div class="version">
		2019-10-04 13:09:20 nginx/1.16.1 <a href="http://www.yiiframework.com/">Yii Framework</a>/1.1.21	</div>
</div>

<script type="text/javascript">
/*<![CDATA[*/
var traceReg = new RegExp("(^|\\s)trace-file(\\s|$)");
var collapsedReg = new RegExp("(^|\\s)collapsed(\\s|$)");

var e = document.getElementsByTagName("div");
for(var j=0,len=e.length;j<len;j++){
	if(traceReg.test(e[j].className)){
		e[j].onclick = function(){
			var trace = this.parentNode.parentNode;
			if(collapsedReg.test(trace.className))
				trace.className = trace.className.replace("collapsed", "expanded");
			else
				trace.className = trace.className.replace("expanded", "collapsed");
		}
	}
}
/*]]>*/
</script>



</body></html>
ParseError.html (17,500 bytes)   
dominikvitt

dominikvitt

2019-10-09 14:10

developer   ~53972

This issue is fixed.
The patch is available now on GitHub and would be available on next LimeSurvey release.

https://github.com/LimeSurvey/LimeSurvey/commit/8c7e3bb2a1fc5bea9253218493eeb839520555f6

lime_release_bot

lime_release_bot

2019-10-14 13:57

administrator   ~54031

Fixed in Release 4.0.0-RC5+191014

Issue History

Date Modified Username Field Change
2019-10-04 15:12 DenisChenu New Issue
2019-10-04 15:12 DenisChenu File Added: ParseError.html
2019-10-07 16:09 dominikvitt Assigned To => dominikvitt
2019-10-07 16:09 dominikvitt Status new => assigned
2019-10-09 14:10 dominikvitt Status assigned => resolved
2019-10-09 14:10 dominikvitt Resolution open => fixed
2019-10-09 14:10 dominikvitt Fixed in Version => 4.0.0-RC4
2019-10-09 14:10 dominikvitt Note Added: 53972
2019-10-14 13:57 lime_release_bot Note Added: 54031
2019-10-14 13:57 lime_release_bot Status resolved => closed